/*
 * Segment 5 Intelligente Analyseverfahren, SW-Einheit 5.4 Funktionen Fuzzy
 * Copyright (C) 2007-2018 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

/**
 * Fuzzy-Funktionen.
 *
 * <p><strong>Domainmodel der Fuzzyfizierung</strong></p>
 * <p><img src="doc-files/fuzzyfizierung.png" alt="Fuzzyfizierung"></p>
 * <p>Mit der {@link de.bsvrz.iav.fuzzylib.fuzzylib.LinguistischeVariable} können Messwerte fuzzyfiziert und eine
 * {@link de.bsvrz.iav.fuzzylib.fuzzylib.FuzzyVariable} defuzzyfiziert werden.</p>
 * <p><strong>Domainmodel der Inferenz</strong></p>
 * <p><img src="doc-files/inferenz.png" alt="Inferenz"></p>
 * <p><strong>Legende:</strong></p>
 * <ul>
 *     <li>gelb: Nichtterminalsymbole bzw. Operationen des Interpreters</li>
 *     <li>grün: Terminalsymbole bzw. Operanden (=Werte) des Interpreters</li>
 * </ul>
 * <p>Für die Auswertung von Regeln wird ein minimaler Interpreter verwendet. Alle Ausdrücke in Regeln werden durch
 * das Interface {@link de.bsvrz.iav.fuzzylib.fuzzylib.Ausdruck} repräsentiert. Die beiden Klassen
 * {@link de.bsvrz.iav.fuzzylib.fuzzylib.Operation} und {@link de.bsvrz.iav.fuzzylib.fuzzylib.BiOperation} bilden
 * beliebige Operationen auf den Zugehörigkeiten ab. Die folgenden Operationen sind vordefiniert:</p>
 * <ul>
 * <li>{@link de.bsvrz.iav.fuzzylib.fuzzylib.Minimum}</li>
 * <li>{@link de.bsvrz.iav.fuzzylib.fuzzylib.Maximum}</li>
 * <li>{@link de.bsvrz.iav.fuzzylib.fuzzylib.Komplement}</li>
 * <li>{@link de.bsvrz.iav.fuzzylib.fuzzylib.Implikation}</li>
 * <li>{@link de.bsvrz.iav.fuzzylib.fuzzylib.AlgebraischesProdukt}</li>
 * <li>{@link de.bsvrz.iav.fuzzylib.fuzzylib.AlgebraischesSumme}</li>
 * <li>{@link de.bsvrz.iav.fuzzylib.fuzzylib.GammaOperator}</li>
 * </ul>
 */
package de.bsvrz.iav.fuzzylib.fuzzylib;
